#pragma once

//template <class T>
class ENEMY
{

protected:

	DWORD	Time,Rot;
	char Steep;
public:
			IMAGE	Pic,Collid;
	IMAGE	*Res,*DeadRes;

	static vector<WALL>		*Map;
	static vector<BOMB>		*Bombs;
	static vector<IMAGE>	*BangWaves;

	static int Count;

	bool		Live;
	int			Erase;
	D3DXVECTOR2	Position;



	ENEMY(void);
	virtual	void	Draw(void);
	virtual	void	Flip(void);
	void			Dead(void);

	virtual	void	SetPosition(float X,float Y) ;

	virtual ~ENEMY(void);
};
